Subject: bug#61190: 28.2; ispell personal dictionary location for hunspell engine

From: O G <[email-masked]>
Date: Sat, 11 Feb 2023 12:07:36 -0500

On Wed, Feb 1, 2023 at 7:30 AM Eli Zaretskii <[email-masked]> wrote:

> > From: O G <[email-masked]>
> > Date: Wed, 1 Feb 2023 00:58:56 -0500
> > Cc: [email-masked]
> >
> >Please be sure you are testing this correctly.  Here's a step by step
> >procedure starting from "emacs -Q":
>
> >  emacs -Q
> >  M-: (setq ispell-program-name "hunspell") RET
> >  M-: (setq ispell-personal-dictionary "C:/Users/xxxx/.hunspell_en_US")
> RET
>
> > Now go to some word in *scratch* and type M-$.
>
> > Then look with Process Explorer how Emacs invoked Hunspell.
>
> >When I do the above, I clearly see the "-p PDICT" command-line
> >arguments with which Emacs invokes Hunspell.  I made a point of
> >testing this on Windows with Emacs 28.2, which is what you have, and
> >it worked for me.
>

Thanks for the detailed suggestions -- it now works.

>From what I can tell, the issue was the double backslashes not being
accepted
in the file path for the hunspell personal dictionary.

> If the above procedure works for you, please see what you are doing
> differently in your "normal" Emacs sessions.  In any case, using
> ispell-cmd-args is not the recommended method; you should instead
> customize the variable ispell-personal-dictionary, which is provided
> for this purpose, and customize it before starting the spell-checker,
> or restart the spell-checker with "M-x ispell-change-dictionary" after
> customizing.
>